using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BasicGramms
{
	internal class BasicFuncAction
	{
		public void DoFuncTest()
		{
			Func<int, int, int> sumFunc = (int x, int y) => x + y;
			Console.WriteLine(sumFunc(3, 6));

			Func<double> piFunc = () => Math.PI;
			Console.WriteLine(piFunc());
		}

		public void DoActionTest()
		{
			Action<int, int> sumAction = (int x, int y) => Console.WriteLine($"Action sum: {x + y}");
			sumAction(5, 9);

			Action piAction = () => Console.WriteLine($"Action PI: {Math.PI}");
			piAction();
		}
	}
}
